SDL_malloc(3)

NAME
SDL_malloc - Allocate uninitialized memory.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_malloc(size_t size);

DESCRIPTION
The allocated memory returned by this function must be freed with

SDL_free ().

If size is 0, it will be set to 1.

If you want to allocate memory aligned to a specific alignment, consider using SDL_aligned_alloc ().

FUNCTION PARAMETERS

size
    the size to allocate.

RETURN VALUE
Returns a pointer to the allocated memory, or NULL if allocation failed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_free(3), •(3), SDL_calloc(3), •(3), SDL_realloc(3), •(3), SDL_aligned_alloc(3)